using System.ComponentModel;

namespace Pilz.Net.Api;

public delegate void ApiRequestCancelEventHandler(object sender, ApiRequestCancelEventArgs e);

public class ApiRequestCancelEventArgs(ApiRequestContext context) : CancelEventArgs
{
    public ApiRequestContext Context => context;
}
